import request from "@/util/oaRequest"

// 查询设计项目汇报详情列表
export async function listReportDetail(query) {
  return request({
    url: '/system/reportDetail/list',
    method: 'get',
    params: query
  })
}

// 查询设计项目汇报详情详细
export function getReportDetail(id) {
  return request({
    url: '/system/reportDetail/' + id,
    method: 'get'
  })
}

// 新增设计项目汇报详情
export function addReportDetail(data) {
  return request({
    url: '/system/reportDetail',
    method: 'post',
    data: data
  })
}

// 修改设计项目汇报详情
export function updateReportDetail(data) {
  return request({
    url: '/system/reportDetail',
    method: 'put',
    data: data
  })
}

// 删除设计项目汇报详情
export function delReportDetail(id) {
  return request({
    url: '/system/reportDetail/' + id,
    method: 'delete'
  })
}
